#ifndef WINAMPDATAGETTER_H
#define WINAMPDATAGETTER_H

#include <QObject>
#include "trackmetainfo.h"

class WinampDataGetter : public QObject
{
    Q_OBJECT
public:
    WinampDataGetter();
    TrackMetaInfo getTrackMetaInfo(){
        return m_current_track;
    }
    void reset();
    ~WinampDataGetter();
signals:
    void trackChanged();
public slots:
    void updateTrackInfo();
private:
    void submitIfChanged(const QString artist, const QString& title);
    TrackMetaInfo m_current_track;
};

#endif // WINAMPDATAGETTER_H
